DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MorphologicalReconstruction

Morphological filter

## SYNOPSIS

`#include "dip_morphology.h"`

dip_Error dip_MorphologicalReconstruction ( marker, mask, out, connectivity )

## DATA TYPES

integer, float

## FUNCTION

Dilation of the image `marker`, constrained by the image `mask`. `out` will be smaller or equal to `mask`. The image is grown according to the `connectivity` parameter. See The connectivity parameter for more information.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `marker` | Marker input image
`dip_Image` | `mask` | Mask input image
`dip_Image` | `out` | Output image
`dip_int` | `connectivity` | Connectivity

## LITERATURE

K. Robinson and P.F. Whelan, Efficient morphological reconstruction: a downhill filter, Pattern Recognition Letters 25 (2004) 1759-1767.

## SEE ALSO

`Dilation`, `BinaryPropagation`

DIPlib on-line documentation | Function reference | Global function index